Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#64135 - [gap-packages] Unable to start xgap

Attached to Project: Community Packages
Opened by Boris (borgch) - Tuesday, 15 October 2019, 15:23 GMT
Last edited by Antonio Rojas (arojas) - Tuesday, 15 October 2019, 15:48 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description: xgap cannot be launched.

$ find / -name xgap 2>&-
/usr/lib/gap/pkg/xgap-4.30/bin/x86_64-unknown-linux-gnu-gcc/xgap

$ /usr/lib/gap/pkg/xgap-4.30/bin/x86_64-unknown-linux-gnu-gcc/xgap
Panic: cannot establish communication with gap.%

$ gap
┌───────┐ GAP 4.10.2 of 19-Jun-2019
│ GAP │ https://www.gap-system.org
└───────┘ Architecture: x86_64-pc-linux-gnu-default64-kv3
Configuration: gmp 6.1.2, readline
Loading the library and packages ...
Packages: AClib 1.3.1, Alnuth 3.1.1, AtlasRep 2.1.0, AutoDoc 2019.05.20, AutPGrp 1.10, Browse 1.8.8, Carat 2.2.3, CRISP 1.4.4, Cryst 4.1.19, CrystCat 1.1.9,
CTblLib 1.2.2, FactInt 1.6.2, FGA 1.4.0, Forms 1.2.5, GAPDoc 1.6.2, genss 1.6.5, IO 4.6.0, IRREDSOL 1.4, LAGUNA 3.9.3, orb 4.8.2, Polenta 1.3.8,
Polycyclic 2.14, PrimGrp 3.3.2, RadiRoot 2.8, recog 1.3.2, ResClasses 4.7.2, SmallGrp 1.3, Sophus 1.24, SpinSym 1.5.1, TomLib 1.2.8, TransGrp 2.0.4,
utils 0.63
Try '??help' for help. See also '?copyright', '?cite' and '?authors'
gap> LoadPackage("xgap");
#I XGAP package is not available. To see further details, enter
#I SetInfoLevel(InfoPackageLoading,4); and try to load the package again.
fail
gap> SetInfoLevel(InfoPackageLoading,4);
gap> LoadPackage("xgap");
#I XGAP: entering LoadPackage
#I XGAP: PackageAvailabilityInfo for version 4.30
#I XGAP: PackageAvailabilityInfo: the AvailabilityTest function returned false
#I XGAP: PackageAvailabilityInfo: no installed version fits
#I XGAP: return from LoadPackage, package is not available
fail
gap>

Additional info:
gap 4.10.2-3
gap-packages 4.10.2-3
This task depends upon

Closed by  Antonio Rojas (arojas)
Tuesday, 15 October 2019, 15:48 GMT
Reason for closing:  Fixed
Additional comments about closing:  gap-packages 4.10.2-4

Loading...